# $Revision: 1.24 $, $Date: 2009/10/02 08:28:57 $
Summary:	X.org video driver for SiS and XGI video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych SiS i XGI
Name:		xorg-driver-video-sis
Version:	0.10.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2
# Source0-md5:	f04baa307e49e9f0e5a5c3d2e89a5576
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-sis < 1:7.0.0
Obsoletes:	XFree86-SiS
Obsoletes:	XFree86-driver-sis < 1:7.0.0
Obsoletes:	XFree86-driver-xgi < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for SiS and XGI video chips. It supports PCI, AGP
and PCIe video cards based on the following chipsets: SiS5597/5598,
SiS530/620, SiS6326/AGP/DVD (called old series), SiS300/305, SiS540,
SiS630/730 (called 300 series), SiS315/E/H/PRO, SiS550/551/552,
SiS650/651/661/741, SiS330 (Xabre), SiS760/761, XGI Volari V3/V5/V8,
XGI Volari Z7 (called 315/330/340 series).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych SiS i XGI. Obsługuje
karty PCI, AGP i PCIe oparte na następujących układach: SiS5597/5598,
SiS530/620, SiS6326/AGP/DVD (zwanych starą serią), SiS300/305, SiS540,
SiS630/730 (zwanych serią 300), SiS315/E/H/PRO, SiS550/551/552,
SiS650/651/661/741, SiS330 (Xabre), SiS760/761, XGI Volari V3/V5/V8,
XGI Volari Z7 (zwanych serią 315/330/340).

%prep
%setup -q -n xf86-video-sis-%{version}

# https://bugs.freedesktop.org/show_bug.cgi?id=18304
sed -i -e 's|#define.*SIS_USE_BIOS_SCRATCH.*|#undef SIS_USE_BIOS_SCRATCH|g' src/sis.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-sis.spec,v $
Revision 1.24  2009/10/02 08:28:57  arekm
- release 2

Revision 1.23  2009/09/20 06:21:04  arekm
- up to 0.10.2

Revision 1.22  2009/02/25 21:41:57  arekm
- up to 0.10.1

Revision 1.21  2009/02/25 21:06:50  arekm
- release 5

Revision 1.20  2008/12/27 09:22:46  qboosh
- R: xorg libdri,libglx

Revision 1.19  2008/11/03 22:49:36  arekm
- rel 4; workaround for /dev/mem restrictions

Revision 1.18  2008/08/30 16:34:19  arekm
- release 3

Revision 1.17  2008/07/01 16:10:52  arekm
- release 2

Revision 1.16  2008-03-19 19:50:33  arekm
- up to 0.10.0

Revision 1.15  2007-11-16 12:36:15  arekm
- up to 0.9.4 (DRI should work again)

Revision 1.14  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.13  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.12  2007/06/12 06:32:01  arekm
- rel 1

Revision 1.11  2007/05/01 07:44:45  qboosh
- Obsoletes: XFree86-driver-xgi

Revision 1.10  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.9  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.7  2006/11/30 18:38:20  qboosh
- updated to 0.9.3

Revision 1.6  2006/10/17 15:03:11  qboosh
- updated to 0.9.2

Revision 1.5  2006/04/11 11:51:58  qboosh
- updated to 0.9.1

Revision 1.4  2006/01/09 13:27:54  qboosh
- 0.8.1.3 (X11R7.0 release)

Revision 1.3  2005/12/08 13:48:03  qboosh
- 0.8.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:47:52  qboosh
- 0.8.1 (X11R7.0-RC2)

Revision 1.1  2005/10/30 13:13:44  qboosh
- new
